Assert {R.utils} | R Documentation

## The Assert class

### Description

Package: R.utils
Class Assert

`Object`
`~~|`
`~~+--``Assert`

Directly known subclasses:

public static class Assert
extends Object

### Usage

    Assert(...)

### Arguments

`...` | Not used.

### Fields and Methods

Methods:

| `check` | Static method asserting that a generic condition is true.
| `inherits` | Static method asserting that an object inherits from of a certain class.
| `isMatrix` | Static method asserting thatan object is a matrix.
| `isScalar` | Static method asserting thatan object is a single value.
| `isVector` | Static method asserting thatan object is a vector.

Methods inherited from Object:
$, $<-, [[, [[<-, as.character, attach, attachLocally, clearCache, clearLookupCache, clone, detach, equals, extend, finalize, getEnvironment, getFieldModifier, getFieldModifiers, getFields, getInstantiationTime, getStaticInstance, hasField, hashCode, ll, load, names, objectSize, print, save

### Author(s)

Henrik Bengtsson

[Package R.utils version 2.6.0 Index]